$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.12-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.27.12-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '239FAD1D1ACF23D436F5B970E42818E5EC57200B275BC7E7D1E74D8D26AF4BA8'
  checksumType = 'sha256'
  checksum64 = '239FAD1D1ACF23D436F5B970E42818E5EC57200B275BC7E7D1E74D8D26AF4BA8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.27.12-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
